From 2c3a14083d64840ef1f3b8db9b6c492c332f1368 Mon Sep 17 00:00:00 2001
From: Peter Eisentraut <peter@eisentraut.org>
Date: Tue, 6 Aug 2019 11:42:35 +0200
Subject: [PATCH] Update to DocBook 4.5

This moves us to the latest minor version of DocBook 4.  It requires
no markup changes.
---
 configure.in                        | 2 +-
 doc/src/sgml/docguide.sgml          | 6 +++---
 doc/src/sgml/postgres.sgml          | 4 ++--
 doc/src/sgml/standalone-install.xml | 2 +-
 doc/src/sgml/standalone-profile.xsl | 4 ++--
 5 files changed, 9 insertions(+), 9 deletions(-)

diff --git a/configure.in b/configure.in
index dde3eec89f..33edfd765b 100644
--- a/configure.in
+++ b/configure.in
@@ -2257,7 +2257,7 @@ fi
 # Check for DocBook and tools
 #
 PGAC_PATH_XMLLINT
-PGAC_CHECK_DOCBOOK(4.2)
+PGAC_CHECK_DOCBOOK(4.5)
 PGAC_PATH_PROGS(DBTOEPUB, dbtoepub)
 PGAC_PATH_PROGS(XSLTPROC, xsltproc)
 PGAC_PATH_PROGS(FOP, fop)
diff --git a/doc/src/sgml/docguide.sgml b/doc/src/sgml/docguide.sgml
index 0608b8c612..8bcaf235ad 100644
--- a/doc/src/sgml/docguide.sgml
+++ b/doc/src/sgml/docguide.sgml
@@ -84,7 +84,7 @@ <title>Tool Sets</title>
      <listitem>
       <para>
        This is the definition of DocBook itself.  We currently use version
-       4.2; you cannot use later or earlier versions.  You need
+       4.5; you cannot use later or earlier versions.  You need
        the <acronym>XML</acronym> variant of the DocBook DTD, not
        the <acronym>SGML</acronym> variant.
       </para>
@@ -214,7 +214,7 @@ <title>macOS</title>
    <para>
     If you use MacPorts, the following will get you set up:
 <programlisting>
-sudo port install docbook-xml-4.2 docbook-xsl fop
+sudo port install docbook-xml-4.5 docbook-xsl fop
 </programlisting>
     If you use Homebrew, use this:
 <programlisting>
@@ -234,7 +234,7 @@ <title>Detection by <command>configure</command></title>
    like this:
 <screen>
 checking for xmllint... xmllint
-checking for DocBook XML V4.2... yes
+checking for DocBook XML V4.5... yes
 checking for dbtoepub... dbtoepub
 checking for xsltproc... xsltproc
 checking for fop... fop
diff --git a/doc/src/sgml/postgres.sgml b/doc/src/sgml/postgres.sgml
index 3e115f1c76..e59cba7997 100644
--- a/doc/src/sgml/postgres.sgml
+++ b/doc/src/sgml/postgres.sgml
@@ -1,7 +1,7 @@
 <!-- doc/src/sgml/postgres.sgml -->
 
-<!DOCTYPE book PUBLIC "-//OASIS//DTD DocBook XML V4.2//EN"
-          "http://www.oasis-open.org/docbook/xml/4.2/docbookx.dtd"
+<!DOCTYPE book PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+          "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd"
 [
 
 <!ENTITY % version SYSTEM "version.sgml">
diff --git a/doc/src/sgml/standalone-install.xml b/doc/src/sgml/standalone-install.xml
index f584789f9a..019377a67f 100644
--- a/doc/src/sgml/standalone-install.xml
+++ b/doc/src/sgml/standalone-install.xml
@@ -1,5 +1,5 @@
 <?xml version="1.0"?>
-<!DOCTYPE article PUBLIC "-//OASIS//DTD DocBook XML V4.2//EN" "http://www.oasis-open.org/docbook/xml/4.2/docbookx.dtd">
+<!DOCTYPE article PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN" "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd">
 <!--
 This file contains the stand-alone installation instructions that end up in
 the INSTALL file.  This document stitches together parts of the installation
diff --git a/doc/src/sgml/standalone-profile.xsl b/doc/src/sgml/standalone-profile.xsl
index ff464c1654..1817d1579f 100644
--- a/doc/src/sgml/standalone-profile.xsl
+++ b/doc/src/sgml/standalone-profile.xsl
@@ -16,8 +16,8 @@ variant without links and references to the main documentation.
 -->
 
 <xsl:output
-    doctype-public="-//OASIS//DTD DocBook XML V4.2//EN"
-    doctype-system="http://www.oasis-open.org/docbook/xml/4.2/docbookx.dtd"/>
+    doctype-public="-//OASIS//DTD DocBook XML V4.5//EN"
+    doctype-system="http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd"/>
 
 <!-- copy everything by default -->
 
-- 
2.22.0

